geos::precision::PointwisePrecisionReducerTransformer Class Reference

`#include <PointwisePrecisionReducerTransformer.h>`

Inheritance diagram for geos::precision::PointwisePrecisionReducerTransformer:

## Public Member Functions

| PointwisePrecisionReducerTransformer (const geom::PrecisionModel &p_targetPM)
Public Member Functions inherited from geos::geom::util::GeometryTransformer
std::unique_ptr< Geometry > | transform (const Geometry *nInputGeom)
void | setSkipTransformedInvalidInteriorRings (bool b)

## Static Public Member Functions

static std::unique_ptr< geom::Geometry > | reduce (const geom::Geometry &geom, const geom::PrecisionModel &targetPM)

## Protected Member Functions

std::unique_ptr< geom::CoordinateSequence > | transformCoordinates (const geom::CoordinateSequence *coords, const geom::Geometry *parent) override
Protected Member Functions inherited from geos::geom::util::GeometryTransformer
virtual Geometry::Ptr | transformPoint (const Point *geom, const Geometry *parent)
virtual Geometry::Ptr | transformMultiPoint (const MultiPoint *geom, const Geometry *parent)
virtual Geometry::Ptr | transformLinearRing (const LinearRing *geom, const Geometry *parent)
virtual Geometry::Ptr | transformLineString (const LineString *geom, const Geometry *parent)
virtual Geometry::Ptr | transformMultiLineString (const MultiLineString *geom, const Geometry *parent)
virtual Geometry::Ptr | transformPolygon (const Polygon *geom, const Geometry *parent)
virtual Geometry::Ptr | transformMultiPolygon (const MultiPolygon *geom, const Geometry *parent)
virtual Geometry::Ptr | transformGeometryCollection (const GeometryCollection *geom, const Geometry *parent)

## Additional Inherited Members

Protected Attributes inherited from geos::geom::util::GeometryTransformer
const GeometryFactory * | factory

## Detailed Description

A transformer to reduce the precision of a geometry pointwise.

Author
  mdavis

## Member Function Documentation

## transformCoordinates()

std::unique_ptr< geom::CoordinateSequence > geos::precision::PointwisePrecisionReducerTransformer::transformCoordinates | ( | const geom::CoordinateSequence * | coords,
|  | const geom::Geometry * | parent )

override protected virtual

Reimplemented from geos::geom::util::GeometryTransformer.

The documentation for this class was generated from the following file:

- PointwisePrecisionReducerTransformer.h